Bug 145173 - i18n: add locale data for en_IL; Ensure a known supported system locale and default document locale if no matching locale
Summary: i18n: add locale data for en_IL; Ensure a known supported system locale and d...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords:
Depends on:
Blocks: console-noise
  Show dependency treegraph
 
Reported: 2021-10-16 16:24 UTC by Eyal Rozenberg
Modified: 2021-10-19 21:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2021-10-16 16:24:47 UTC
When I start LO (using a daily build, see below) and create a new writer document, the following is printed to the console about 13 times or so:

warn:svtools.misc:2814:2814:svtools/source/misc/langtab.cxx:239: Language: 0x9 with unknown name, so returning lang-tag of: English {en}

I'm not quite sure why that is; perhaps it has something to do with my locale, en_IL (see build info below). I also don't know whether this is purely console noise or whether it might be causing other problems.

Build info:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c998691e22ceda15c89d55cf7005201f0392dadb
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_IL); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-10-14_11:54:20
Calc: threaded


PS - en_IL is a "legit" locale; see https://www.localeplanet.com/icu/en-IL/index.html
Comment 1 Roman Kuznetsov 2021-10-16 19:52:44 UTC
Eike, you know all about locales inside LibreOffice, could you please look at it?
Comment 2 Eike Rathke 2021-10-18 12:13:12 UTC
The reason is simply that we don't have en-IL locale data that could be used for a default document language. (the character/paragraph attribution default fallback shouldn't be plain {en} though because that is ambiguous and not a locale either).

We'd need a locale data file to fully support en-IL, see
https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data
for how to submit.

For en-IL most can be derived from the he-IL locale using the ref="he_IL" mechanism. The LC_CALENDAR section has to be derived from en-US, luckily that already includes both Gregorian and Jewish Calendar elements.
Comment 3 Commit Notification 2021-10-18 19:14:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aec5312ffab24236876693d7a8b55843847f2a48

Related: tdf#145173 Ensure known supported system and default document locale

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-10-19 09:01:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1497f534c232c2a54e7031afb3088d28698bc5d3

Related: tdf#145173 Ensure known supported system and default document locale

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eyal Rozenberg 2021-10-19 18:02:24 UTC
(In reply to Commit Notification from comment #3)
> Eike Rathke committed a patch related to this issue.
> It has been pushed to "master":

Thanks, Eike! :-)
Comment 6 Commit Notification 2021-10-19 18:17:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/29c41568f1df622e4132a2055698255e01597902

Related: tdf#145173 Add English (Israel) {en-IL} 0xB409 to language list

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-10-19 21:02:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5a92f17d293d2b0b1beee5d16d0b2b1ee7fc6ce3

Related: tdf#145173 Handle two independent ref=... for LC_FORMAT...

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-10-19 21:02:19 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/607bc9fe13741d034ed2638e70b3ea0429fff039

Related: tdf#145173 Sort he_IL by formatindex and split NatNum to LC_FORMAT_1

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-10-19 21:10:39 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f7f1763727b23fb84717e83978c2c0b2c66b9f55

Resolves: tdf#145173 Add English (Israel) {en-IL} locale data

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.